namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "explosion")]
public class Explosion : Script, IScriptOnAfterHits
{
    /// <inheritdoc />
    public void OnAfterHits(IExecutingMove move, IPokemon target)
    {
        move.User.Damage(move.User.CurrentHealth * 10, DamageSource.Misc);
    }
}